﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinEditors;

namespace WinGrid
{
    public partial class WinGrid : UserControl
    {

        public object DataSource
        {
            get { return ultraGrid.DataSource; }
            set { ultraGrid.DataSource = value; }
        }

        private TrackBar trackBar = new TrackBar();
        public WinGrid()
        {
            InitializeComponent();
            ultraGrid.DisplayLayout.Bands[0].Columns.Add("TestTracker");
            var controlEditingControl = new UltraControlContainerEditor
            {
                EditingControl = trackBar,
                EditingControlPropertyName = "Value"
            };
            ultraGrid.DisplayLayout.Bands[0].Columns["TestTracker"].EditorComponent = controlEditingControl;
        }
    }
}
